<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Subscribe Form</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #f4f4f4;
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
        }
        .subscribe-form {
            background: #fff;
            padding: 20px;
            border-radius: 8px;
            box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
        }
        .subscribe-form input[type="email"],
        .subscribe-form input[type="text"] {
            width: 100%;
            padding: 10px;
            margin: 10px 0;
            border: 1px solid #ccc;
            border-radius: 4px;
        }
        .subscribe-form button {
            padding: 10px 20px;
            background: #28a745;
            border: none;
            color: #fff;
            border-radius: 4px;
            cursor: pointer;
        }
        .subscribe-form button:hover {
            background: #218838;
        }
    </style>
</head>
<body>

<div class="subscribe-form">
    <h2>Subscribe to our Newsletter</h2>
    <form id="subscribeForm">
        <input type="text" id="name" name="name" placeholder="Your name">
        <input type="email" id="email" name="email" placeholder="Your email" required>
        <button type="submit">Subscribe</button>
    </form>
    <div id="message"></div>
</div>

<script>
    document.getElementById('subscribeForm').addEventListener('submit', function(event) {
        event.preventDefault();
        
        const name = document.getElementById('name').value;
        const email = document.getElementById('email').value;
        
        if (email) {
            document.getElementById('message').innerText = 'Thank you for subscribing, ' + (name ? name : 'Guest') + '!';
        } else {
            document.getElementById('message').innerText = 'Please enter a valid email address.';
        }
    });
</script>

</body>
</html>